TERMINAL checks for urxvtd will now use `which' for portability.
`wall' script added that pulls from Mysplash API for random backgrounds
updated .xinitrc to use wall
# redshift, root image
redon &
-"$HOME/.fehbg"
+wall &
# Xorg settings
xset r rate 290 26 &
xbanish &
eval `ssh-agent`
-if [ -z "$TERMINAL" -a \( -x /usr/bin/urxvtd -o -x /usr/local/bin/urxvtd \) ]; then
+if [ -z "$TERMINAL" -a \( -x $(which -a urxvtd | head -1) \) ]; then
for i in 1 2; do
# try to start client twice, once before checking for daemon
# and another after trying to start it
--- /dev/null
+#!/bin/sh
+wall="$HOME/var/tmp/wall.jpg"
+res=$(xdpyinfo)
+if [ $? -eq 0 ]; then
+ res=$(echo "$res" | awk '/dimensions:/{print $2}')
+else
+ echo "ERROR: $res"
+ exit 1
+fi
+wget -O "$wall" "https://source.unsplash.com/$res/?tunnel,architecture" && feh --no-fehbg --bg-fill "$wall"